diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -6199,292 +6681,380 @@
  | This stuff is for the Term_user hook
  */
 
 
 
-static void display_line( int x, int y, int c, char *fmt, ... )
+static void display_line(int x, int y, int c, char *fmt, ...)
 {
 	va_list ap;
 	char buffer[260];
 
-	va_start(ap,fmt);
-	vsprintf(buffer,fmt,ap);
-	Term_putstr( x,y, -1, c, buffer );
+	va_start(ap, fmt);
+	vsprintf(buffer, fmt, ap);
+	Term_putstr(x, y, -1, c, buffer);
 	va_end(ap);
 }
 
 
 
 /*
  | Let the user change the alarm message
  */
-static void do_alarm_message_input( int y )
+static void do_alarm_message_input(int y)
 {
 	int k;
 	int inspos = strlen(alarm_message);
 	char old_message[52];
 
-	strcpy(old_message,alarm_message);
+	strcpy(old_message, alarm_message);
 
 	do
 	{
-		display_line( 26,y, TERM_YELLOW, "%-51s", alarm_message);
-		Term_gotoxy(26+inspos,y);
+		display_line(26, y, TERM_YELLOW, "%-51s", alarm_message);
+		Term_gotoxy(26 + inspos, y);
 		k = inkey();
-		switch ( k )
+		switch (k)
 		{
-			case 21 :				/* ^U */
+			case 21:			/* ^U */
 				*alarm_message = 0;
 				inspos = 0;
 				break;
-			case 128 : case 8 :		/* delete */
-				if ( inspos > 0 ) { alarm_message[--inspos] = 0; }
+			case 128:  case 8:	/* delete */
+				if (inspos > 0)
+				{
+					alarm_message[--inspos] = 0;
+				}
 				break;
-			case 27 :				/* escape */
-				strcpy(alarm_message,old_message);
+			case 27:			/* escape */
+				strcpy(alarm_message, old_message);
 				k = 13;
 				break;
-			default :
-				if ( k>31 && k<127 && inspos<50 )
+			default:
+				if (k > 31 && k < 127 && inspos < 50)
 				{
 					alarm_message[inspos++] = k;
 					alarm_message[inspos] = 0;
 				}
 		}
-	} while ( k!=13 );
+	}
+	while (k != 13);
 
-	display_line( 26,y, TERM_WHITE, "%-51s", alarm_message);
+	display_line(26, y, TERM_WHITE, "%-51s", alarm_message);
 }
 
 
 #define tum_col(X)  ((X) ? TERM_L_BLUE : TERM_WHITE )
 #define tum_onoff(X)  ((X) ? "On " : "Off")
 
 static errr Term_user_acn(int n)
 {
 	int i;
 	int optn = 0;
-	int k,adj;
+	int k, adj;
 	int redraw_mung = 0;
 	int max_opt = 11;
-	int alarm_modified = 0;		/* Will be true if the alarm choices need to be (re)saved */
+	int alarm_modified = 0;	/* Will be true if the alarm choices need to be (re)saved */
 
 	/*
-	 | Hack: let the desktop front end know that
-	 | the user menu is active...
+	   | Hack: let the desktop front end know that
+	   | the user menu is active...
 	 */
 	user_menu_active = TRUE;
 
 
 	/*
-	 | This is thanks to Norcroft CC...  it seems to want
-	 | to set up FP regs nice and early and then relies
-	 | on them remaining constant over the function call.
-	 | The trouble is that we implicitly call Wimp_Poll
-	 | whilst waiting for a key press...
+	   | This is thanks to Norcroft CC...  it seems to want
+	   | to set up FP regs nice and early and then relies
+	   | on them remaining constant over the function call.
+	   | The trouble is that we implicitly call Wimp_Poll
+	   | whilst waiting for a key press...
 	 */
 	event_mask.data.keepfpregisters = 1;
 
 	/*
-	 | Hack: alarm type 1 /looks/ the same as type 3 but doesn't get
-	 | cancelled as a type 3 would.  This allows alarms to go off and
-	 | be cancelled without affecting the alarm type whilst it's being
-	 | set up here.
+	   | Hack: alarm type 1 /looks/ the same as type 3 but doesn't get
+	   | cancelled as a type 3 would.  This allows alarms to go off and
+	   | be cancelled without affecting the alarm type whilst it's being
+	   | set up here.
 	 */
-	if ( alarm_type == 3 ) { alarm_type = 1; }
+	if (alarm_type == 3)
+	{
+		alarm_type = 1;
+	}
 
 	/*
-	 | Store the screen
+	   | Store the screen
 	 */
-	Term_activate( &(data[0].t) );
+	Term_activate(&(data[0].t));
 	Term_save();
-	Term_get_cursor( &i );
-	Term_set_cursor( 1 );
+	Term_get_cursor(&i);
+	Term_set_cursor(1);
 
 	do
 	{
 		redraw_mung = 0;
 		Term_clear();
-		display_line( 2,1, TERM_YELLOW, "%s %s",VARIANT,VERSION);
-		display_line( 2,2, TERM_SLATE, "Front-end %s",PORTVERSION);
-		display_line( 2,4, TERM_WHITE,"Use cursor up/down to select an option then cursor left/right to alter it.");
-		display_line( 2,5, TERM_WHITE,"Hit 'S' to save these settings (alarm settings are saved automatically).");
-		display_line( 2,6, TERM_WHITE,"Hit ESC to return to the game.");
+		display_line(2, 1, TERM_YELLOW, "%s %s", VARIANT, VERSION);
+		display_line(2, 2, TERM_SLATE, "Front-end %s", PORTVERSION);
+		display_line(2, 4, TERM_WHITE,
+					 "Use cursor up/down to select an option then cursor left/right to alter it.");
+		display_line(2, 5, TERM_WHITE,
+					 "Hit 'S' to save these settings (alarm settings are saved automatically).");
+		display_line(2, 6, TERM_WHITE, "Hit ESC to return to the game.");
 
-		for ( k=0; k<16; k++ )
-			display_line(31+k*3,8,k,"##",k);
+		for (k = 0; k < 16; k++)
+			display_line(31 + k * 3, 8, k, "##", k);
 
 		do
 		{
-			display_line( 2, 8,tum_col(optn==0),"     Gamma correction : %.2lf",gamma );
-			display_line( 2, 9,tum_col(optn==1),"     Force monochrome : %s", tum_onoff(force_mono) );
-			display_line( 2,10,tum_col(optn==2),"        Sound effects : %s", tum_onoff(enable_sound) );
-			display_line( 2,11,tum_col(optn==3),"  Sound effect volume : ");
-			display_line(26,11,sound_volume>127 ? TERM_RED : tum_col(optn==3), "%-3d", sound_volume);
-			display_line(30,11,tum_col(optn==3),"(127 = full volume)");
-			display_line( 2,12,tum_col(optn==4),"     Start fullscreen : %s", tum_onoff(start_fullscreen) );
-			display_line(30,12,tum_col(optn==4),"(also selects fullscreen/desktop now)");
-			display_line( 2,13,tum_col(optn==5),"        Use hourglass : %s", tum_onoff(use_glass) );
-			display_line( 2,14,tum_col(optn==6),"'Hard' input flushing : %s", tum_onoff(hack_flush) );
-
-			display_line( 7,16,tum_col(optn==7),"      Alarm type : %-20s", alarm_types[alarm_type] );
-			display_line( 7,17,TERM_WHITE,      "            Time : ");
-			display_line(26,17,tum_col(optn==8),"%02d",alarm_h);
-			display_line(28,17,TERM_WHITE,":");
-			display_line(29,17,tum_col(optn==9),"%02d",alarm_m);
-			display_line( 7,18,tum_col(optn==10),"         Message : %-51s",alarm_message);
-			display_line( 7,19,tum_col(optn==11),"            Beep : %s",tum_onoff(alarm_beep));
-
-			if ( ALLOW_DEBUG_INFO )
-			{
-				display_line(2,23,tum_col(optn==23),"Show debug info");
-				max_opt = 12;
-			}
-
-			switch ( optn )
-			{
-				case 12: Term_gotoxy( 2, 23 ); break;
-				case 11: Term_gotoxy( 26, 19 ); break;
-				case 10: Term_gotoxy( 26, 18 ); break;
-				case 9 : Term_gotoxy( 29, 17 ); break;
-				case 8 : Term_gotoxy( 26, 17 ); break;
-				case 7 : Term_gotoxy( 26, 16 ); break;
-				default: Term_gotoxy( 26, optn+8 );
+			display_line(2, 8, tum_col(optn == 0),
+						 "	 Gamma correction : %.2lf", gamma);
+			display_line(2, 9, tum_col(optn == 1), "	 Force monochrome : %s",
+						 tum_onoff(force_mono));
+			display_line(2, 10, tum_col(optn == 2), "		Sound effects : %s",
+						 tum_onoff(enable_sound));
+			display_line(2, 11, tum_col(optn == 3), "  Sound effect volume : ");
+			display_line(26, 11,
+						 sound_volume > 127 ? TERM_RED : tum_col(optn == 3),
+						 "%-3d", sound_volume);
+			display_line(30, 11, tum_col(optn == 3), "(127 = full volume)");
+			display_line(2, 12, tum_col(optn == 4), "	 Start fullscreen : %s",
+						 tum_onoff(start_fullscreen));
+			display_line(30, 12, tum_col(optn == 4),
+						 "(also selects fullscreen/desktop now)");
+			display_line(2, 13, tum_col(optn == 5), "		Use hourglass : %s",
+						 tum_onoff(use_glass));
+			display_line(2, 14, tum_col(optn == 6),
+						 "'Hard' input flushing : %s", tum_onoff(hack_flush));
+
+			display_line(7, 16, tum_col(optn == 7), "	  Alarm type : %-20s",
+						 alarm_types[alarm_type]);
+			display_line(7, 17, TERM_WHITE, "			Time : ");
+			display_line(26, 17, tum_col(optn == 8), "%02d", alarm_h);
+			display_line(28, 17, TERM_WHITE, ":");
+			display_line(29, 17, tum_col(optn == 9), "%02d", alarm_m);
+			display_line(7, 18, tum_col(optn == 10), "		 Message : %-51s",
+						 alarm_message);
+			display_line(7, 19, tum_col(optn == 11), "			Beep : %s",
+						 tum_onoff(alarm_beep));
+
+#ifdef FE_DEBUG_INFO
+			display_line(2, 23, tum_col(optn == 23), "Show debug info");
+			max_opt = 12;
+#endif
+
+			switch (optn)
+			{
+				case 12: Term_gotoxy(2, 23);
+					break;
+				case 11: Term_gotoxy(26, 19);
+					break;
+				case 10: Term_gotoxy(26, 18);
+					break;
+				case 9: Term_gotoxy(29, 17);
+					break;
+				case 8: Term_gotoxy(26, 17);
+					break;
+				case 7: Term_gotoxy(26, 16);
+					break;
+				default: Term_gotoxy(26, optn + 8);
 			}
 
 			k = inkey();
-			adj = (k=='4' || k=='h') ? -1 : (k=='6' || k=='l') ? 1 : 0;
+			adj = (k == '4' || k == 'h') ? -1 : (k == '6' || k == 'l') ? 1 : 0;
 
-			switch ( k )
+			switch (k)
 			{
-				case 18 : /* Hack: force the screen to update */
+				case 18:		/* Hack: force the screen to update */
 					redraw_mung = 1;
-					k=27;
+					k = 27;
 					break;
-				case 's': case 'S' :
+				case 's':  case 'S':
 					save_choices();
-					display_line( 2,23, TERM_YELLOW, "Options saved.       " );
+					display_line(2, 23, TERM_YELLOW, "Options saved.	   ");
 					Term_fresh();
-					Term_xtra( TERM_XTRA_DELAY, 750 );
-					Term_erase( 2, 23, 60 );
+					Term_xtra(TERM_XTRA_DELAY, 750);
+					Term_erase(2, 23, 60);
 					break;
-				case '8' : case 'k' :
-					if (--optn<0 ) { optn=max_opt; }
+				case '8':  case 'k':
+					if (--optn < 0)
+					{
+						optn = max_opt;
+					}
 					break;
-				case '2' : case 'j' :
-					if ( ++optn>max_opt ) { optn=0; }
+				case '2':  case 'j':
+					if (++optn > max_opt)
+					{
+						optn = 0;
+					}
 					break;
-				case 13 : case 32 : case 't' :				/* Allow return, space and t to toggle some options */
-				case '4' : case 'h' :
-				case '6' : case 'l' :
+				case 13:  case 32:  case 't':	/* Allow return, space and t to toggle some options */
+				case '4':  case 'h':
+				case '6':  case 'l':
 				{
 					switch (optn)
 					{
-						case 0 :	/* Gamma correction */
-							gamma += adj*0.05;
-							if ( gamma>9.00 ) { gamma = 9.00; }
-							if ( gamma<0.05 ) { gamma = 0.05; }
-							Term_xtra( TERM_XTRA_REACT, 0 );
+						case 0:	/* Gamma correction */
+							gamma += adj * 0.05;
+							if (gamma > 9.00)
+							{
+								gamma = 9.00;
+							}
+							if (gamma < 0.05)
+							{
+								gamma = 0.05;
+							}
+							Term_xtra(TERM_XTRA_REACT, 0);
 							set_gamma_window_state();
 							/* flush(); */
 							Term_fresh();
 							break;
-						case 1 :	/* Force monochrome */
+						case 1:	/* Force monochrome */
 							force_mono = !force_mono;
-							if ( fullscreen_font )
-								redraw_areaFS( 0,0, 80,24 );
+							if (fullscreen_font)
+								redraw_areaFS(0, 0, 80, 24);
 							else
-								Term_xtra( TERM_XTRA_REACT, 0 );
+								Term_xtra(TERM_XTRA_REACT, 0);
 							/* flush(); */
 							Term_fresh();
 							break;
-						case 2 :	/* Sound enable / disable */
+						case 2:	/* Sound enable / disable */
 							enable_sound = !enable_sound;
 							set_sound_window_state();
-							if ( enable_sound ) { initialise_sound(); }
+							if (enable_sound)
+							{
+								initialise_sound();
+							}
 							break;
-						case 3 :	/* Sound volume */
+						case 3:	/* Sound volume */
 							sound_volume += adj;
-							if ( sound_volume < SOUND_VOL_MIN )
-								sound_volume=SOUND_VOL_MIN;
-							if ( sound_volume > SOUND_VOL_MAX )
-								sound_volume=SOUND_VOL_MAX;
+							if (sound_volume < SOUND_VOL_MIN)
+								sound_volume = SOUND_VOL_MIN;
+							if (sound_volume > SOUND_VOL_MAX)
+								sound_volume = SOUND_VOL_MAX;
 							set_sound_window_state();
 							break;
-						case 4 :	/* Start fullscreen */
+						case 4:	/* Start fullscreen */
 							start_fullscreen = !start_fullscreen;
-							if ( start_fullscreen )
+							if (start_fullscreen)
 								enter_fullscreen_mode();
 							else
 								leave_fullscreen_mode();
 							break;
-						case 5 :	/* Start fullscreen */
+						case 5:	/* Start fullscreen */
 							use_glass = !use_glass;
-							if ( !use_glass )
+							if (!use_glass)
 							{
-								if ( glass_on ) { Hourglass_Off(); }
+								if (glass_on)
+								{
+									Hourglass_Off();
+								}
 								glass_on = 0;
 							}
 							break;
-						case 6 :	/* hack flush */
+						case 6:	/* hack flush */
 							hack_flush = !hack_flush;
 							break;
-						case 7 :	/* Alarm on/off */
+						case 7:	/* Alarm on/off */
 							alarm_type += adj;
-							if ( adj ) { alarm_modified = 1; }
-							if ( alarm_type>2 ) { alarm_type = 0; }
-							if ( alarm_type<0 ) { alarm_type = 2; }
-							if ( !alarm_type && alarm_disp ) { ack_alarm(); }	/* XXXXX Cancel an already active alarm? */
+							if (adj)
+							{
+								alarm_modified = 1;
+							}
+							if (alarm_type > 2)
+							{
+								alarm_type = 0;
+							}
+							if (alarm_type < 0)
+							{
+								alarm_type = 2;
+							}
+							if (!alarm_type && alarm_disp)
+							{
+								ack_alarm();
+							}	/* XXXXX Cancel an already active alarm? */
 							break;
-						case 8 :	/* Alarm hours */
+						case 8:	/* Alarm hours */
 							alarm_h += adj;
-							if ( adj ) { alarm_modified = 1; }
-							if ( alarm_h<0 ) { alarm_h += 24; }
-							if ( alarm_h>23 ) { alarm_h -= 24; }
-							if ( alarm_disp ) { ack_alarm(); }
+							if (adj)
+							{
+								alarm_modified = 1;
+							}
+							if (alarm_h < 0)
+							{
+								alarm_h += 24;
+							}
+							if (alarm_h > 23)
+							{
+								alarm_h -= 24;
+							}
+							if (alarm_disp)
+							{
+								ack_alarm();
+							}
 							break;
-						case 9 :	/* Alarm minutes */
+						case 9:	/* Alarm minutes */
 							alarm_m += adj;
-							if ( adj ) { alarm_modified = 1; }
-							if ( alarm_m<0 ) { alarm_m += 60; }
-							if ( alarm_m>59 ) { alarm_m -= 60; }
-							if ( alarm_disp ) { ack_alarm(); }
+							if (adj)
+							{
+								alarm_modified = 1;
+							}
+							if (alarm_m < 0)
+							{
+								alarm_m += 60;
+							}
+							if (alarm_m > 59)
+							{
+								alarm_m -= 60;
+							}
+							if (alarm_disp)
+							{
+								ack_alarm();
+							}
 							break;
-						case 10 :
+						case 10:
 							alarm_modified = 1;
 							do_alarm_message_input(18);
 							break;
-						case 11 :
+						case 11:
 							alarm_modified = 1;
 							alarm_beep = !alarm_beep;
 							break;
-						case 12 :
+						case 12:
 							show_debug_info();
 							redraw_mung = 1;
-							k=27;
+							k = 27;
 							break;
 					}
 				}
 			}
-		} while ( k !=27 );
-	} while ( redraw_mung );
+		}
+		while (k != 27);
+	}
+	while (redraw_mung);
 
 	/* Rehack the alarm type: */
-	if ( alarm_type == 1 ) { alarm_type = 3; }
+	if (alarm_type == 1)
+	{
+		alarm_type = 3;
+	}
 
-	if ( alarm_modified ) { write_alarm_choices(); }
+	if (alarm_modified)
+	{
+		write_alarm_choices();
+	}
 
-	Term_set_cursor( i );
+	Term_set_cursor(i);
 
 	/* Restore the screen */
 	Term_load();
 
 	/* Don't need to preserve FP regs any more */
 	event_mask.data.keepfpregisters = 0;
 
 	/*
-	 | Hack: tell the desktop front end that we're done.
+	   | Hack: tell the desktop front end that we're done.
 	 */
 	user_menu_active = FALSE;
 
 	return 0;
 }
@@ -6527,21 +7097,21 @@
  | be called anyway.  Having them present makes
  | for neater code later on (ie. we use a variable
  | rather than the pre-processor to decide whether
  | to do compression).
  */
-static int compress_string( char *os, char *s )
+static int compress_string(char *os, char *s)
 {
 	core("main-acn internal logic error 001");
 	return 0;
 }
-static int decompress_string( char *d, char *s, int max_len )
+static int decompress_string(char *d, char *s, int max_len)
 {
 	core("main-acn internal logic error 002");
 	return 0;
 }
-static int compressed_length( char *s )
+static int compressed_length(char *s)
 {
 	core("main-acn internal logic error 003");
 	return 0;
 }
 
@@ -6551,16 +7121,18 @@
  | When caching files we try to use some abbreviations.
  | We use both whole words and pairs of letters.
  | NB: For this to work, the file must contain only
  | 7 bit characters.
  */
-static char *abbrv_w[] = {
+static char *abbrv_w[] =
+{
 	/* These words all begin with a space */
 	" of ", " the ", " you ", " to ", " a ", " says", " is ", " that ", " and ",
 	" your ", " are ", " it ", " be ", " for ", " me", " will ", " in ",
 	" not ", " this ", " have ", " can ", " on ", " my ", " with ", " say ",
-	" all", " by ", " get ", " but ", " just ", " die", " as ", " time ", " if ",
+	" all", " by ", " get ", " but ", " just ", " die", " as ", " time ",
+		" if ",
 	" like ",
 	/* These words do not */
 	"I ", "The ", "You ", "They ", "It ", "don", 0
 };
 
@@ -6574,279 +7146,302 @@
  | NB: No letter pair may start with \0.
  */
 static char abbrv_lp[] =
 	"e  ttht s heiner aoure'\0, anonf  sd y r  ongofator.\0"
 	"n arllstha wes m ieaisen bl  yndtoo yometele d f hve"
-	"ayuralitneelN: chig ilroassaseliti lraa otedbede 'ri"
-	"..u  nntno!'ee\0\0";
+	"ayuralitneelN: chig ilroassaseliti lraa otedbede 'ri" "..u  nntno!'ee\0\0";
 
 
 /*
  | Compress the given string using the abbreviation tables above.
  | Returns compressed length *including* terminator (it may
  | be part of an abbreviation, you see...)
  | Note that we can compress the string in-place, ie. 'os' may be
  | the same as 's'.
  */
-static int compress_string( char *os, char *s )
+static int compress_string(char *os, char *s)
 {
-	char *o,*f,*d;
+	char *o, *f, *d;
 	int i;
 
 	o = os;
 
-	while ( *s )
+	while (*s)
 	{
-		int fw,lw;
-		if ( *s==' ' )
+		int fw, lw;
+		if (*s == ' ')
 		{
-			fw=0;
-			lw=FC_ABBRV_NUMWORDS-FC_ABBRV_NONSPC;
+			fw = 0;
+			lw = FC_ABBRV_NUMWORDS - FC_ABBRV_NONSPC;
 		}
 		else
 		{
-			fw=FC_ABBRV_NUMWORDS-FC_ABBRV_NONSPC;
-			lw=FC_ABBRV_NUMWORDS;
+			fw = FC_ABBRV_NUMWORDS - FC_ABBRV_NONSPC;
+			lw = FC_ABBRV_NUMWORDS;
 		}
-		for ( i=fw ; i<lw ; i++ )
+		for (i = fw; i < lw; i++)
 		{
-			d = abbrv_w[i];			/* Word to check against */
-			for ( f=s; *f && *f==*d ; f++,d++ )
+			d = abbrv_w[i];		/* Word to check against */
+			for (f = s; *f && *f == *d; f++, d++)
 				;
-			if ( *d==0 )			/* Match? */
+			if (*d == 0)		/* Match? */
 			{
-				s = *f ? f : f-1;	/* Update string pointer */
-				*o++ = 128+i;		/* store code */
-				break;				/* Quit looking for words */
+				s = *f ? f : f - 1;	/* Update string pointer */
+				*o++ = 128 + i;	/* store code */
+				break;			/* Quit looking for words */
 			}
 		}
 
 		/* Do we need to check the letter pairs? */
-		if ( i==lw )
+		if (i == lw)
 		{
-			for ( i=0; abbrv_lp[i]; i+=2 )
+			for (i = 0; abbrv_lp[i]; i += 2)
 			{
-				if ( s[0]==abbrv_lp[i] && s[1]==abbrv_lp[i+1] )
+				if (s[0] == abbrv_lp[i] && s[1] == abbrv_lp[i + 1])
 				{
-					*o++ = 128 + FC_ABBRV_NUMWORDS + i/2;
+					*o++ = 128 + FC_ABBRV_NUMWORDS + i / 2;
 					/* NB: If the next character is the terminator then we're done. */
-					if ( !s[1] ) { return (o-os); }
-					s+=2;			/* Quit looking for letters */
+					if (!s[1])
+					{
+						return (o - os);
+					}
+					s += 2;		/* Quit looking for letters */
 					break;
 				}
 			}
 			/* NB: This next check is only safe because no letter pair starts with a NULL */
-			if ( !abbrv_lp[i] )
+			if (!abbrv_lp[i])
 				*o++ = *s++;
 		}
 	}
 
 	/* Don't forget that terminator! */
 	*o++ = 0;
 
-	return o-os;
+	return o - os;
 }
 
 /*
  | As compress_string (above), but stores nothing and
  | only returns the length of the compressed string.
  */
-static int compressed_length( char *s )
+static int compressed_length(char *s)
 {
-	char *f,*d;
-	int i,l;
+	char *f, *d;
+	int i, l;
 
 	l = 0;
-	while ( *s )
+	while (*s)
 	{
-		int fw,lw;
-		if ( *s==' ' )
+		int fw, lw;
+		if (*s == ' ')
 		{
-			fw=0;
-			lw=FC_ABBRV_NUMWORDS-FC_ABBRV_NONSPC;
+			fw = 0;
+			lw = FC_ABBRV_NUMWORDS - FC_ABBRV_NONSPC;
 		}
 		else
 		{
-			fw=FC_ABBRV_NUMWORDS-FC_ABBRV_NONSPC;
-			lw=FC_ABBRV_NUMWORDS;
+			fw = FC_ABBRV_NUMWORDS - FC_ABBRV_NONSPC;
+			lw = FC_ABBRV_NUMWORDS;
 		}
-		for ( i=fw ; i<lw ; i++ )
+		for (i = fw; i < lw; i++)
 		{
 			d = abbrv_w[i];
-			for ( f=s; *f && *f==*d ; f++,d++ )
+			for (f = s; *f && *f == *d; f++, d++)
 				;
-			if ( *d==0 )			/* Match? */
+			if (*d == 0)		/* Match? */
 			{
-				s = *f ? f : f-1;	/* Update string pointer */
-				l++;				/* increment output length */
-				break;				/* Quit looking for words */
+				s = *f ? f : f - 1;	/* Update string pointer */
+				l++;			/* increment output length */
+				break;			/* Quit looking for words */
 			}
 		}
 
 		/* Do we need to check the letter pairs? */
-		if ( i==lw )
+		if (i == lw)
 		{
-			for ( i=0; abbrv_lp[i]; i+=2 )
+			for (i = 0; abbrv_lp[i]; i += 2)
 			{
-				if ( s[0]==abbrv_lp[i] && s[1]==abbrv_lp[i+1] )
+				if (s[0] == abbrv_lp[i] && s[1] == abbrv_lp[i + 1])
 				{
-					l++;	/* increment output length */
+					l++;		/* increment output length */
 					/* NB: If the next character is the terminator then we're done. */
-					if ( !s[1] ) { return l; }
-					s+=2;			/* Quit looking for letters */
+					if (!s[1])
+					{
+						return l;
+					}
+					s += 2;		/* Quit looking for letters */
 					break;
 				}
 			}
 			/* NB: This next check is only safe because no letter pair starts with a NULL */
-			if ( !abbrv_lp[i] )
+			if (!abbrv_lp[i])
 			{
 				l++;
 				s++;
 			}
 		}
 	}
 	/* Don't forget that terminator! */
-	return l+1;
+	return l + 1;
 }
 
 
 
 /*
  | Decompress the given string 's' into the buffer at 'd'.
  | At most, max_len characters (incl. \0 terminator) will be
  | written into d.
  | Returns the length of 's'.
  */
-static int decompress_string( char *d, char *s, int max_len )
+static int decompress_string(char *d, char *s, int max_len)
 {
 	char *os = s;
 
-	while ( max_len>1 )
+	while (max_len > 1)
 	{
-		int nc = *s++;							/* Get next character */
+		int nc = *s++;	/* Get next character */
 
-		if ( nc<128 )							/* Is it a plain character? */
+		if (nc < 128)			/* Is it a plain character? */
 		{
-			if ( 0 == (*d++ = nc) ) { break; }
+			if (0 == (*d++ = nc))
+			{
+				break;
+			}
 			max_len--;
 		}
-		else									/* Abbreviation to expand. */
+		else					/* Abbreviation to expand. */
 		{
-			if ( nc>=FC_ABBRV_NUMWORDS+128 )	/* Letter pair? */
+			if (nc >= FC_ABBRV_NUMWORDS + 128)	/* Letter pair? */
 			{
-				*d++ = abbrv_lp[(nc-(FC_ABBRV_NUMWORDS+128))*2];
-				if ( 0 == (*d++ = abbrv_lp[(nc-(FC_ABBRV_NUMWORDS+128))*2+1]) )
+				*d++ = abbrv_lp[(nc - (FC_ABBRV_NUMWORDS + 128)) * 2];
+				if (0 ==
+					(*d++ = abbrv_lp[(nc - (FC_ABBRV_NUMWORDS + 128)) * 2 + 1]))
 					break;
 				max_len -= 2;
 			}
-			else								/* It's a word */
+			else				/* It's a word */
 			{
-				char *ws = abbrv_w[nc-128];
-				while ( *ws && max_len>1 )
+				char *ws = abbrv_w[nc - 128];
+				while (*ws && max_len > 1)
 				{
 					*d++ = *ws++;
 					max_len--;
 				}
 			}
 		}
 	}
 
 	/* Skip over the rest of the abbreviated string if we ran out of space */
-	if ( max_len<=1 )							/* Out of space? */
+	if (max_len <= 1)			/* Out of space? */
 	{
 		int nc;
-		*d = 0;									/* Terminate */
+		*d = 0;					/* Terminate */
 		do
 		{
-			nc = *s++;							/* Next char */
-			if ( nc>=128+FC_ABBRV_NUMWORDS )	/* Ignore words */
-				nc = abbrv_lp[(nc-(FC_ABBRV_NUMWORDS+128)*2)+1];	/* Only check 2nd letter of pair */
-		} while (nc);
+			nc = *s++;			/* Next char */
+			if (nc >= 128 + FC_ABBRV_NUMWORDS)	/* Ignore words */
+				nc = abbrv_lp[(nc - (FC_ABBRV_NUMWORDS + 128) * 2) + 1];	/* Only check 2nd letter of pair */
+		}
+		while (nc);
 	}
-	return s-os;								/* Length of abbreviated string */
+	return s - os;				/* Length of abbreviated string */
 }
 
-#endif			/* ABBR_FILECACHE */
+#endif /* ABBR_FILECACHE */
 
 
 /* Each entry in the cache looks like this: */
 typedef struct fce_
 {
-	char *name;				/* canonical pathname of file */
-	char *text;				/* text (be it compressed or not) */
-	char *eof;				/* byte beyond the last byte of text */
-	int  used;				/* access counter when the file was last used */
-	int  compressed;		/* compression method, (ie. 0 for none or 1 for abbreviations) */
-} FileCacheEntry;
+	char *name;	/* canonical pathname of file */
+	char *text;	/* text (be it compressed or not) */
+	char *eof;	/* byte beyond the last byte of text */
+	int used;	/* access counter when the file was last used */
+	int compressed;	/* compression method, (ie. 0 for none or 1 for abbreviations) */
+}
+FileCacheEntry;
 
 /*
  | The handles we chuck around are pointers to one of these structs.
  | Note that since we actually return (and take) |FILE*|s we just
  | compare the value of a |FILE*| with the limits of the array of
  | |CachedFileHandle|s to decide whether its 'ours' or a genuine
  | (ie. stdio) file handle.  This /is/ pretty lame, I know...
  */
 typedef struct cfh_
 {
-	char *ptr;				/* sequential file pointer, as it were */
+	char *ptr;	/* sequential file pointer, as it were */
 	FileCacheEntry *fce;	/* ->the file-cache entry data */
-} CachedFileHandle;
+}
+CachedFileHandle;
 
 #define MAX_OPEN_CACHED_FILES	16	/* We allow up to 16 of these files open at once */
 #define MAX_CACHE_ENTRIES		64	/* We allow up to 64 cache entries */
 
-static FileCacheEntry *file_cache;				/* to be used as file_cache[MAX_CACHE_ENTRIES] */
+static FileCacheEntry *file_cache;	/* to be used as file_cache[MAX_CACHE_ENTRIES] */
 static CachedFileHandle *cached_file_handle;	/* to be used as cached_file_handle[MAX_OPEN_CACHED_FILES] */
 static int file_cache_initd = 0;	/* Is the cache initialised? */
-static int file_cache_size = 0;		/* Total size of the cached files */
+static int file_cache_size = 0;	/* Total size of the cached files */
 static int fc_access_counter = 1;	/* incremented on each cache access */
 /*
  | Pre-calculate max. possible value of a FILE* (ie. address in memory)
  | that could be a valid |CachedFileHandle*|.
  */
-static FILE* max_cfh_addr;			/* == (FILE*) (&(cached_file_handle[MAX_OPEN_CACHED_FILES-1])) */
+static FILE *max_cfh_addr;	/* == (FILE*) (&(cached_file_handle[MAX_OPEN_CACHED_FILES-1])) */
 
 /*
  | Initialise the file cache
  */
-static void init_file_cache( void )
+static void init_file_cache(void)
 {
 	int i;
 
 	/* Allocate storage */
-	file_cache = fc_malloc(MAX_CACHE_ENTRIES*sizeof(FileCacheEntry));
-	cached_file_handle = fc_malloc(MAX_OPEN_CACHED_FILES*sizeof(CachedFileHandle));
+	file_cache = fc_malloc(MAX_CACHE_ENTRIES * sizeof(FileCacheEntry));
+	cached_file_handle =
+		fc_malloc(MAX_OPEN_CACHED_FILES * sizeof(CachedFileHandle));
 
-	if ( !file_cache || !cached_file_handle )
+	if (!file_cache || !cached_file_handle)
 	{
 		/* Disable file-caching */
-		if ( file_cache ) { fc_free(file_cache); }
-		if ( cached_file_handle ) { fc_free(cached_file_handle); }
+		if (file_cache)
+		{
+			fc_free(file_cache);
+		}
+		if (cached_file_handle)
+		{
+			fc_free(cached_file_handle);
+		}
 		use_filecache = 0;
 	}
 	else
 	{
 		/* Initialise the cache */
-		for ( i=0; i<MAX_CACHE_ENTRIES; i++ )
+		for (i = 0; i < MAX_CACHE_ENTRIES; i++)
 			file_cache[i].name = NULL;
-		for ( i=0; i<MAX_OPEN_CACHED_FILES; i++ )
+		for (i = 0; i < MAX_OPEN_CACHED_FILES; i++)
 			cached_file_handle[i].fce = NULL;
 		fc_access_counter = 1;
 		file_cache_size = 0;
-		max_cfh_addr = (FILE*) (&(cached_file_handle[MAX_OPEN_CACHED_FILES-1]));
+		max_cfh_addr =
+			(FILE *)(&(cached_file_handle[MAX_OPEN_CACHED_FILES - 1]));
 	}
 	file_cache_initd = 1;
 }
 
 
 /*
  | Helper: take a copy of the string and return a pointer to it
  */
-static char *string_cpy( char *s )
+static char *string_cpy(char *s)
 {
-	char *d = fc_malloc( strlen(s)+1L );
-	if ( d ) { strcpy(d,s); }
+	char *d = fc_malloc(strlen(s) + 1L);
+	if (d)
+	{
+		strcpy(d, s);
+	}
 	return d;
 }
 
 
 /*
